use http_lib::json_account::JsonAccount;
use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub enum Event {
    GetAccountNrs,
    SetAccountNrs(Vec<String>),
    SelectAccountNr(String),
    SetSelectedAccount(JsonAccount),
    SetBalance(f64, String),
    ShowError(String),
    Transfer(f64, String, String),
}
